Test::Unit::Assertion::Exception(3pm)

NAME
Test::Unit::Assertion::Exception - A assertion for raised exceptions

SYNOPSIS
    require Test::Unit::Assertion::Exception;

    my $assert_raised =
      Test::Unit::Assertion::Exception->new('MyException');

    # This should succeed
    $assert_eq->do_assertion(sub { MyException->throw() });

    # This should fail
    $assert_eq->do_assertion(sub { });

DESCRIPTION
Although the SYNOPSIS shows how you'd use Test::Unit::Assertion::Exception directly, it is more sensibly used indirectly via Test::Unit::Test::assert_raises(), which instantiates a "Test::Unit::Assertion::Exception".

AUTHOR
Copyright (c) 2001 Piers Cawley <pdcawley@iterative-software.com>.

All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO

•   Test::Unit::TestCase

•   Test::Unit::Assertion